<?php
include_once('c_kt_rmv.php') ;
class c_page_cab_kt_terminals extends c_page_cab_kt_rmv
{
  public $h1='Терминалы KT' ;

  function block_main()
  {   $this->page_title() ;
      // показываем кнопки управления только для если в текущей группе есть терминалы
      $cnt_term_in_cur_group=execSQL_value('select count(pkey) from obj_site_device where enabled=1 and id>0') ;
      if ($cnt_term_in_cur_group)
      { ?><button class=v2 cmd="kt/all_term_sleep">Усыпить все терминалы</button>&nbsp;&nbsp;&nbsp;&nbsp;
          <button class=v2 cmd="kt/all_term_start">Разбудить все терминалы</button>&nbsp;&nbsp;&nbsp;&nbsp;
          <button class=v2 cmd="kt/all_term_reboot">Перезагрузить все терминалы</button>
         <br><br>
        <?
      }

        $recs=DEVICE()->get_list_terminals(MEMBER()->cur_group_id,'kt') ;
        include_once(_DIR_EXT.'/kt/panel_terminals.php')  ;
        if (_sizeof($recs)) panel_terminals($recs) ;
        else echo '<div class=alert>В данной рабочей группе терминалы отстутсвуют. Воспользуйтесь конфигуратором системы для добавления терминалов в группу.</div>' ;

  }

}



?>
